Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class URLMetric

    java.lang.Object
      net.hyperic.hq.product.URLMetric

public class URLMetric
extends java.lang.Object

Helper class for Metrics which form URLs, such as for availability.

Field Summary
`static java.lang.String[]` | `CONFIG_PROPS`
`static java.lang.String` | `DEFAULT_HOSTNAME`
`static java.lang.String` | `DEFAULT_PATH`
`static int` | `DEFAULT_PORT`
`static java.lang.String` | `DEFAULT_PROTOCOL`
`static int` | `DEFAULT_TIMEOUT`
`static java.lang.String` | `PROP_HOSTNAME`
`static java.lang.String` | `PROP_PATH`
`static java.lang.String` | `PROP_PORT`
`static java.lang.String` | `PROP_PROTOCOL`
`static java.lang.String` | `PROP_TIMEOUT`
`static java.lang.String[]` | `SUPPORTED_PROTOCOLS`

Constructor Summary
`URLMetric()`

Method Summary
`static ConfigSchema` | `getConfigSchema()`
`static MetricValue` | `getValue(Metric metric)`
`static java.lang.String` | `guessProtocol(java.lang.String port)`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_PROTOCOL

    public static final java.lang.String PROP_PROTOCOL

See Also:
  Constant Field Values

### PROP_HOSTNAME

    public static final java.lang.String PROP_HOSTNAME

See Also:
  Constant Field Values

### PROP_PORT

    public static final java.lang.String PROP_PORT

See Also:
  Constant Field Values

### PROP_PATH

    public static final java.lang.String PROP_PATH

See Also:
  Constant Field Values

### PROP_TIMEOUT

    public static final java.lang.String PROP_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_PROTOCOL

    public static final java.lang.String DEFAULT_PROTOCOL

See Also:
  Constant Field Values

### DEFAULT_HOSTNAME

    public static final java.lang.String DEFAULT_HOSTNAME

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_PATH

    public static final java.lang.String DEFAULT_PATH

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT

    public static final int DEFAULT_TIMEOUT

See Also:
  Constant Field Values

### CONFIG_PROPS

    public static final java.lang.String[] CONFIG_PROPS

### SUPPORTED_PROTOCOLS

    public static final java.lang.String[] SUPPORTED_PROTOCOLS

Constructor Detail

### URLMetric

    public URLMetric()

Method Detail

### guessProtocol

    public static java.lang.String guessProtocol(java.lang.String port)

### getValue

    public static MetricValue getValue(Metric metric)

### getConfigSchema

    public static ConfigSchema getConfigSchema()

### toString

    public java.lang.String toString()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.